/*
 * Copyright 2010 Google Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except
 * in compliance with the License. You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License
 * is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
 * or implied. See the License for the specific language governing permissions and limitations under
 * the License.
 */
/*
 * Warning! This file is generated. Modify at your own risk.
 */

package com.google.api.services.datastore.model;

import com.google.api.client.json.GenericJson;

/**
 * Options shared by read requests.
 *
 * <p> This is the Java data model class that specifies how to parse/serialize into the JSON that is
 * transmitted over HTTP when working with the Google Cloud Datastore API. For a detailed
 * explanation see:
 * <a href="http://code.google.com/p/google-api-java-client/wiki/Json">http://code.google.com/p/google-api-java-client/wiki/Json</a>
 * </p>
 *
 * <p>
 * Upgrade warning: starting with version 1.12 {@code getResponseHeaders()} is removed, instead use
 * {@link com.google.api.client.http.json.JsonHttpRequest#getLastResponseHeaders()}
 * </p>
 *
 * @author Google, Inc.
 */
@SuppressWarnings("javadoc")
public final class ReadOptions extends GenericJson {

  /**
   * The read consistency to use. One of default, strong, or eventual. Cannot be set when
   * transaction is set. Lookup and ancestor queries default to strong, global queries default to
   * eventual and cannot be set to strong. Optional. Default is default.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private String readConsistency;

  /**
   * The transaction to use. Optional.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private String transaction;

  /**
   * The read consistency to use. One of default, strong, or eventual. Cannot be set when
   * transaction is set. Lookup and ancestor queries default to strong, global queries default to
   * eventual and cannot be set to strong. Optional. Default is default.
   * The value returned may be {@code null}.
   */
  public String getReadConsistency() {
    return readConsistency;
  }

  /**
   * The read consistency to use. One of default, strong, or eventual. Cannot be set when
   * transaction is set. Lookup and ancestor queries default to strong, global queries default to
   * eventual and cannot be set to strong. Optional. Default is default.
   * The value set may be {@code null}.
   */
  public ReadOptions setReadConsistency(String readConsistency) {
    this.readConsistency = readConsistency;
    return this;
  }

  /**
   * The transaction to use. Optional.
   * The value returned may be {@code null}.
   */
  public String getTransaction() {
    return transaction;
  }

  /**
   * The transaction to use. Optional.
   * The value set may be {@code null}.
   */
  public ReadOptions setTransaction(String transaction) {
    this.transaction = transaction;
    return this;
  }

}
